/* -*- mode: c++; c-basic-offset: 3; -*- */
#ifndef GDSPLOT_MARKER_HH
#define GDSPLOT_MARKER_HH

class marker {
public:
  enum marker_style {
    ms_nomarker,
    ms_dot,
    ms_circle,
    ms_uptriangle,
    ms_dntriangle,
    ms_square,
    ms_diamond
  };
public:
  marker(void);
  marker(marker_style style, int size=1, int color=1);
  int color(void) const;
  bool null(void) const;
  void set_color(int clr);
  void set_size(int sz);
  void set_style(marker_style mrk);
  int size(void) const;
  int style(void) const;
private:
  marker_style mStyle;
  int          mSize;
  int          mColor;
};

//======================================  inline methods
inline bool
marker::null(void) const {
  return mStyle == ms_nomarker;
}

#endif // !defined(GDSPLOT_MARKER_HH)
